/*
 * Rewritten from WMix-3.0 (timecop [timecop@japan.co.jp])
 */

#import "MixerChannel.h"

@implementation MixerChannel

- (id) init
{
  self = [super init];
  name = @"";
  return self;
}

- (void) dealloc
{
  RELEASE(name);
  [super dealloc];
}

// Access methods
- (NSString *) name
{
  return name;
}

- (void) setName: (NSString *) aName
{
  RELEASE(name);
  name = aName;
  RETAIN(name);
}

- (int) deviceNumber
{
  return deviceNumber;
}

- (void) setDeviceNumber: (int) number
{
  deviceNumber = number;
}

- (int) lastVolume
{
  return lastVolume;
}

- (void) setLastVolume: (int) number
{
  lastVolume = number;
}

- (float) volume
{
  return volume;
}

- (void) setVolume: (float) aVolume
{
  volume = aVolume;
}

- (float) balance
{
  return balance;
}

- (void) setBalance: (float) aBalance
{
  balance = aBalance;
}

- (BOOL) canRecord
{
  return canRecord;
}

- (void) setCanRecord: (BOOL) aBool
{
  canRecord = aBool;
}

- (BOOL) isRecording
{
  return isRecording;
}

- (void) setIsRecording: (BOOL) aBool
{
  isRecording = aBool;
}

- (BOOL) isStereo
{
  return isStereo;
}

- (void) setIsStereo: (BOOL) aBool
{
  isStereo = aBool;
}

- (BOOL) isMuted
{ 
  return isMuted;
}

- (void) setIsMuted: (BOOL) aBool
{
  isMuted = aBool;
}

@end
