#import <AppKit/AppKit.h>

#define channelViewWidth 90
#define channelViewHeight 190

#define sliderWidth 15
#define sliderHeight 100

@interface ChannelView : NSView
{
  NSBox *box;
  NSString *name;
  NSSlider *leftSlider, *rightSlider;
  NSButton *muteButton, *recordButton;
  int number;
  id _delegate;
}

- (void) setName: (NSString *) name;
- (NSString *) name;
- (void) setNumber: (int) number;
- (int) number;
- (void) setDelegate: (id) delegate;
- (id) delegate;
- (void) setLeftChannel: (float) value;
- (float) leftChannel;
- (void) setRightChannel: (float) value;
- (float) rightChannel;
- (void) setMute: (int) state;
- (int) mute;
- (void) setRecord: (int) state;
- (int) record;

@end

@interface NSObject (MixerChannelView)

- (void) channel: (int) deviceNumber 
         changeLeft: (float) left 
         right: (float) right;
- (void) channel: (int) deviceNumber
         didChangeMute: (int) state;
- (void) channel: (int) deviceNumber
         didChangeRecord: (int) state;

@end
