/*
 * Rewritten from WMix-3.0 (timecop [timecop@japan.co.jp])
 */

#import <Foundation/Foundation.h>

@interface MixerChannel: NSObject
{
  NSString *name;        /* name of channel */
  int deviceNumber;      /* channel device number */
  int lastVolume;        /* last known left/right volume */
                         /* in device format */
  float volume;          /* volumn, in [0, 1] */
  float balance;         /* balance, in [-1, 1] */
  BOOL canRecord;        /* capable of recoding ? */
  BOOL isRecording;      /* is it recording ? */
  BOOL isStereo;         /* capable of stereo ? */
  BOOL isMuted;          /* is it muted ? */
}

// Access methods
- (NSString *) name;
- (void) setName: (NSString *) aName;
- (int) deviceNumber;
- (void) setDeviceNumber: (int) number;
- (int) lastVolume;
- (void) setLastVolume: (int) number;
- (float) volume;
- (void) setVolume: (float) aVolumn;
- (float) balance;
- (void) setBalance: (float) aBalance;
- (BOOL) canRecord;
- (void) setCanRecord: (BOOL) aBool;
- (BOOL) isRecording;
- (void) setIsRecording: (BOOL) aBool;
- (BOOL) isStereo;
- (void) setIsStereo: (BOOL) aBool;
- (BOOL) isMuted;
- (void) setIsMuted: (BOOL) aBool;

@end
